#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;

    cin >> n;
    long long a[n];

    long long veciI[n];

    long long poslednjaA = 0, poslednjaB = 0;

    for(long long i = 0; i < n; i++)
    {
        cin >> a[i];

        if(i != 0 && a[i] < a[i - 1])
        {
            poslednjaA = poslednjaB;
            poslednjaB = i;
        }

        veciI[i] = poslednjaA;
    }

    long long q;

    cin >> q;

    for(long long i = 0; i < q; i++)
    {
        long long li, lj;

        cin >> li >> lj;

        li--;
        lj--;

        if(li == lj)
            cout << "DA" << endl;
        else
        {
            if(veciI[lj] <= li)
                cout << "DA" << endl;
            else
                cout << "NE" << endl;
        }
    }

    return 0;
}